# coding=utf-8

from rest_framework import serializers
from apps.tenant.config.models import Config
from django.conf import settings

class ConfigSerializer(serializers.ModelSerializer):
    url = serializers.SerializerMethodField()

    def get_url(self, obj):
        if obj.property in [Config.WXAPP_HOME_IMG]:
            return '%s%s' % (settings.MEDIA_URL, obj.value)
        return ''

    class Meta:
        model = Config
        fields = '__all__'
